ATI Radeon HD 5870 GPU Test

Discussion in 'Mac Pro' started by CheMillan, Sep 12, 2016.

  1. CheMillan macrumors member

    CheMillan

    Joined:
    Jan 5, 2015
    Location:
    Los Angeles
    #1
    I upgraded my Mac Pro 5,1 with a used Apple original ATI Radeon HD 5870 graphics card. After installation I reset the PRAM. When the Mac Pro booted properly with the grey EFI boot screen I took a sigh of relief. I ran the Apple Hardware Test twice to make sure everything was ok and it reported "No Issues Found", then I ran the OpenGL Extensions Viewer and tested the card. Two of the tests failed. If someone can tell me what the two failed tests means I would appreciate it. Here are screenshots of the test, the ATI Radeon and Mac Pro specs. Thanks
     

    Attached Files:

  2. h9826790 macrumors G4

    h9826790

    Joined:
    Apr 3, 2014
    Location:
    Hong Kong
    #2
    That's normal, OSX never support OpenGL 4.2 and 4.3.
    Screen Shot 2016-09-13 at 13.37.50.jpg
     
  3. orph macrumors 65816

    Joined:
    Dec 12, 2005
    Location:
    UK
    #3
    OpenGL Extensions Viewer dose not 'test' your gpu for problems it just displays what openGl levels your card/os supports.
     
  4. CheMillan thread starter macrumors member

    CheMillan

    Joined:
    Jan 5, 2015
    Location:
    Los Angeles
    #4
    Thanks guys,
    I didn't know that. Good to know. :)
     
  5. 1024724, Nov 16, 2016
    Last edited: Nov 16, 2016

    1024724 macrumors member

    1024724

    Joined:
    Apr 4, 2016
    #5
    CheMillan, can you let me know what OpenGL version it shows for both "Compatibility" and "Core"?

    I get 4.1 for "Core" and 2.1 for "Compatibility". Just curious what the 5870 shows.

    update: Just threw my 5870 in the 5,1 and got the same exact results. I'm not understanding why my system is capped at 2.1.
     
  6. CheMillan thread starter macrumors member

    CheMillan

    Joined:
    Jan 5, 2015
    Location:
    Los Angeles
    #6

    Here is what OpenGL Extensions Viewer shows for Compatibility and Core versions for my Mac Pro 5,1 2010:

    Compatibility: 2.1 (100% - 3/3)

    Core: 4.1 (100% - 7/7)
     

Share This Page